package com.sheep.gamegroup.model.entity;

import java.io.Serializable;

/**
 * Created by ljy on 2018/8/22.
 */

public class RouserArticlesEntity implements Serializable {
    private int is_delete;//integer ($int32)软删除状态 1:已删除 2:正常
    private int update_time;//integer ($int64)更新时间
    private String img;//string宣传图 多张 ; 隔开
    private String package_name;//string包名
    private String deeplink;//string唤醒连接地址:deeplink
    private int identifier;//integer ($int32)标识字样 0:无 1:!惊 2:火热 3:最新
    private double price;//number ($double)单价
    private String app_name;//stringapp名称
    private int create_time;//integer ($int64)创建时间
    private int awaken_apps_id;//integer ($int64)唤醒app id
    private int status;//integer ($int32)状态 1:展示 2:未展示
    private int is_force;//integer ($int32)是否强制 1:强制 2:不强制
    private String title;//string标题
    private String content;//string案
    private int type;//integer ($int32)0:当日非活跃 ; 1-30:1~30日沉默
    private int id;//integer ($int64)

    public int getIs_delete() {
        return is_delete;
    }

    public void setIs_delete(int is_delete) {
        this.is_delete = is_delete;
    }

    public int getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(int update_time) {
        this.update_time = update_time;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getPackage_name() {
        return package_name;
    }

    public void setPackage_name(String package_name) {
        this.package_name = package_name;
    }

    public String getDeeplink() {
        return deeplink;
    }

    public void setDeeplink(String deeplink) {
        this.deeplink = deeplink;
    }

    public int getIdentifier() {
        return identifier;
    }

    public void setIdentifier(int identifier) {
        this.identifier = identifier;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    public String getApp_name() {
        return app_name;
    }

    public void setApp_name(String app_name) {
        this.app_name = app_name;
    }

    public int getCreate_time() {
        return create_time;
    }

    public void setCreate_time(int create_time) {
        this.create_time = create_time;
    }

    public int getAwaken_apps_id() {
        return awaken_apps_id;
    }

    public void setAwaken_apps_id(int awaken_apps_id) {
        this.awaken_apps_id = awaken_apps_id;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getIs_force() {
        return is_force;
    }

    public void setIs_force(int is_force) {
        this.is_force = is_force;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }
}
